Debian Bug report logs - #316594
RFP: opengl-doc -- OpenGL API documentation

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Elliott Mitchell <ehem@m5p.com>

Date: Sat, 2 Jul 2005 06:03:19 UTC

Severity: wishlist

Merged with 363014, 392094

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian X Strike Force <debian-x@lists.debian.org>:
Bug#316594; Package xlibmesa-gl-dev. Full text and rfc822 format available.

Acknowledgement sent to Elliott Mitchell <ehem@m5p.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Elliott Mitchell <ehem@m5p.com>
To: maintonly@bugs.debian.org
Subject: Could we have some real documentation?
Date: Fri, 1 Jul 2005 22:57:38 -0700 (PDT)
Package: xlibmesa-gl-dev
Version: 4.3.0.dfsg.1-14
Severity: minor

It would be very useful for xlibmesa-gl-dev and xlibmesa-glu-dev to have
their documentation split out into separate packages.

This would provide the major benefit that an xlibmesa-gl-doc and
xlibmesa-glu-doc packages wouldn't conflict with mesag-dev nor
mesa-common-dev. This is major because Mesa doesn't have its own OpenGL
man pages. Even if these only cover OpenGL 1.3, it is very useful to have
some online documentation available.


-- 
(\___(\___(\______          --=> 8-) EHM <=--          ______/)___/)___/)
 \BS (    |         EHeM@gremlin.m5p.com PGP 8881EF59         |    )   /
  \_CS\   |  _____  -O #include <stddisclaimer.h> O-   _____  |   /  _/
    \___\_|_/82 04 A1 3C C7 B1 37 2A*E3 6E 84 DA 97 4C 40 E6\_|_/___/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#316594; Package xlibmesa-gl-dev. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 316594@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 316594@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#316594: Could we have some real documentation?
Date: Wed, 14 Feb 2007 01:18:00 +0100
reassign 316594 mesa-common-dev
severity 316594 wishlist
thank you




The manpages of Mesa/GL are not shipped anymore because they are not
free. I reassign this bug to a recent package and make it a wishlist, in
case the doc comes back one day...

Brice




Bug reassigned from package `xlibmesa-gl-dev' to `mesa-common-dev'. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `minor' Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 316594 363014 392094. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#316594; Package mesa-common-dev. (Sat, 20 Sep 2008 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 20 Sep 2008 15:09:06 GMT) Full text and rfc822 format available.

Message #21 received at 316594@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>, 316594@bugs.debian.org
Subject: Re: Bug#316594: Could we have some real documentation?
Date: Sat, 20 Sep 2008 17:02:19 +0200
On Wed, Feb 14, 2007 at 01:18:00 +0100, Brice Goglin wrote:

> The manpages of Mesa/GL are not shipped anymore because they are not
> free. I reassign this bug to a recent package and make it a wishlist, in
> case the doc comes back one day...
> 
Most, if not all, GL manpages are licensed under the SGI Free Software
License B.  Version 2.0 of this license is actually free, so it should
now be possible to package the manpages.  I'm tempted to reassign this
to wnpp as a RFP, unless you want to take that on?

See
http://www.opengl.org/wiki/index.php/Getting_started/XML_Toolchain_and_Man_Pages

Cheers,
Julien




Bug reassigned from package `mesa-common-dev' to `wnpp'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 23:45:07 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: opengl-manpages -- OpenGL documentation' from `Could we have some real documentation?'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 23:45:08 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: opengl-doc -- OpenGL API documentation' from `RFP: opengl-manpages -- OpenGL documentation'. Request was from "Jason Spiro" <jasonspiro4@gmail.com> to control@bugs.debian.org. (Tue, 04 Nov 2008 02:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#316594; Package wnpp. (Wed, 27 Jul 2011 16:03:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:03:29 GMT) Full text and rfc822 format available.

Message #32 received at 316594@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 316594@bugs.debian.org
Cc: control@bugs.debian.org
Subject: opengl-doc: closing old inactive RFP
Date: Wed, 27 Jul 2011 17:57:22 +0200
close 316594
thanks

Hello,

This is an automatic mail sent to close this RFP.

Your RFP wnpp bug is being closed because of the following reasons:
- It hasn't seen any activity for the last 18 months.
- The amount of RFPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not intended
by owners and submitters to be closed, for example if the RFP is still
of your interest, or there has been some kind of activity around it.
In that case, please do not hesitate to reopen the bug!

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <lucas@debian.org>.

Thanks for your cooperation,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Bug closed, send any further explanations to Elliott Mitchell <ehem@m5p.com> Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:19:14 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jul 2011 23:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#316594; Package wnpp. (Wed, 27 Jul 2011 23:48:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elliott Mitchell <ehem@m5p.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 23:48:53 GMT) Full text and rfc822 format available.

Message #41 received at 316594@bugs.debian.org (full text, mbox):

From: Elliott Mitchell <ehem@m5p.com>
To: 316594@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Still need the man pages
Date: Wed, 27 Jul 2011 16:28:37 -0700 (PDT)
reopen 316594
quit

Getting the OpenGL man pages back together as a package, even the older
ones, would still be invaluable. Appears this was due to some licensing
entertainment? Apparently this got fixed? (according to Julien Cristau's
message on #316594)

Looking for information, found two more bugs that amount to this exact
same request, #330755 and #363014.

Seems Ubuntu has inherited this problem:
https://launchpad.net/ubuntu/+source/mesa/+bug/35632

Yes, the information is readily available online, but typing `man
<glfunction>` gets information substantially faster than having to resort
to a search engine.


I fear an awful lot of programs in Debian (and elsewhere) seem to be
forgetting man pages are *very* handy to have.


-- 
(\___(\___(\______          --=> 8-) EHM <=--          ______/)___/)___/)
 \BS (    |         EHeM@gremlin.m5p.com PGP F6B23DE0         |    )   /
  \_CS\   |  _____  -O #include <stddisclaimer.h> O-   _____  |   /  _/
2477\___\_|_/DC21 03A0 5D61 985B <-PGP-> F2BE 6526 ABD2 F6B2\_|_/___/3DE0






Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:05:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.